#include <bits/stdc++.h>
using namespace std;

#define pb push_back
#define mp make_pair

typedef long long ll;
typedef long double ld;

const int mn=2*1e5+100;
int a[mn];
int pom[mn];
int pref[mn];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    for(int i=0;i<n;i++) cin>>a[i];
    for(int i=0;i<n-1;i++)
    {
        if(a[i]>a[i+1]) pom[i]=1;
        else pom[i]=0;
    }
    pref[0]=pom[0];
    for(int i=1;i<n;i++) pref[i]=pref[i-1]+pom[i];
    int q;
    cin>>q;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--; r--;
        if(l==r) cout<<"DA\n";\
        else if(l==0)
        {
            r--;
            if(pref[r]>1) cout<<"NE\n";
            else cout<<"DA\n";
        }
        else
        {
            l--;
            r--;
            if(pref[r]-pref[l]>1) cout<<"NE\n";
            else cout<<"DA\n";
        }
    }
}